Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000365bareos-core[All Projects] apipublic2014-11-19 14:232015-03-25 19:19
Reportermaik 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformLinuxOSanyOS Version3
Product Version14.2.2 
Target Version14.2.2Fixed in Version14.2.2 
Summary0000365: Baseclass for Bareos Director Python plugins
DescriptionHave a wrapper and a BaseClass to ease the development of Python Director plugins in a class based manner.
Same way as used for FD plugins.
TagsNo tags attached.
bareos-master: impact
bareos-master: action
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impact
bareos-14.2: action
bareos-13.2: impact
bareos-13.2: action
bareos-12.4: impact
bareos-12.4: action
Attached Files

- Relationships

-  Notes
(0001066)
maik (administrator)
2014-11-20 14:43

tested patch on playground
(0001070)
mvwieringen (developer)
2014-11-20 23:22

Fix committed to bareos master branch with changesetid 2374.
(0001110)
mvwieringen (developer)
2014-12-12 02:02

Fix committed to bareos bareos-14.2 branch with changesetid 2513.
(0001458)
mvwieringen (developer)
2015-03-25 16:51

Fix committed to bareos2015 bareos-14.2 branch with changesetid 4547.
(0001604)
joergs (administrator)
2015-03-25 19:19

Due to the reimport of the Github repository to bugs.bareos.org, the status of some tickets have been changed. These tickets will be closed again.
Sorry for the noise.

- Related Changesets
bareos: master 28a55221
Timestamp: 2014-11-19 13:14:53
Author: maik
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
Wrapper and baseclass for class based Bareos Director Python plugins

Fixes 0000365: include baseclass for python director plugins
mod - debian/bareos-director-python-plugin.install.in Diff ] File ]
mod - platforms/packaging/bareos.spec Diff ] File ]
add - src/plugins/dird/BareosDirPluginBaseclass.py Diff ] File ]
add - src/plugins/dird/BareosDirWrapper.py Diff ] File ]
add - src/plugins/dird/bareos-dir-class-plugin.py Diff ] File ]
bareos: bareos-14.2 30f352d5
Timestamp: 2014-11-19 13:14:53
Author: maik
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
Wrapper and baseclass for class based Bareos Director Python plugins

Fixes 0000365: include baseclass for python director plugins
mod - debian/bareos-director-python-plugin.install.in Diff ] File ]
mod - platforms/packaging/bareos.spec Diff ] File ]
add - src/plugins/dird/BareosDirPluginBaseclass.py Diff ] File ]
add - src/plugins/dird/BareosDirWrapper.py Diff ] File ]
add - src/plugins/dird/bareos-dir-class-plugin.py Diff ] File ]
bareos2015: bareos-14.2 93d064c3
Timestamp: 2014-11-19 14:14:53
Author: maik
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
Wrapper and baseclass for class based Bareos Director Python plugins

Fixes 0000365: include baseclass for python director plugins
mod - debian/bareos-director-python-plugin.install.in Diff ] File ]
mod - platforms/packaging/bareos.spec Diff ] File ]
add - src/plugins/dird/BareosDirPluginBaseclass.py Diff ] File ]
add - src/plugins/dird/BareosDirWrapper.py Diff ] File ]
add - src/plugins/dird/bareos-dir-class-plugin.py Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-11-19 14:23 maik New Issue
2014-11-19 14:23 maik Status new => assigned
2014-11-19 14:23 maik Assigned To => maik
2014-11-20 14:43 maik Note Added: 0001066
2014-11-20 14:43 maik Status assigned => confirmed
2014-11-20 23:22 mvwieringen Changeset attached => bareos master 28a55221
2014-11-20 23:22 mvwieringen Note Added: 0001070
2014-11-20 23:22 mvwieringen Assigned To maik => mvwieringen
2014-11-20 23:22 mvwieringen Status confirmed => resolved
2014-11-20 23:22 mvwieringen Resolution open => fixed
2014-12-01 12:15 joergs Status resolved => closed
2014-12-01 12:15 joergs Assigned To mvwieringen =>
2014-12-01 12:15 joergs Fixed in Version => 14.4.0
2014-12-12 02:02 mvwieringen Changeset attached => bareos bareos-14.2 30f352d5
2014-12-12 02:02 mvwieringen Note Added: 0001110
2014-12-12 02:02 mvwieringen Assigned To => mvwieringen
2014-12-12 02:02 mvwieringen Status closed => resolved
2014-12-12 10:01 mvwieringen Status resolved => closed
2014-12-12 10:01 mvwieringen Assigned To mvwieringen =>
2014-12-14 15:50 mvwieringen adm Product Version 14.4.0 => 14.2.2
2014-12-14 15:50 mvwieringen adm Fixed in Version 14.4.0 => 14.2.2
2014-12-14 15:50 mvwieringen adm Target Version 14.4.0 => 14.2.2
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-14.2 93d064c3
2015-03-25 16:51 mvwieringen Note Added: 0001458
2015-03-25 16:51 mvwieringen Status closed => resolved
2015-03-25 19:19 joergs Note Added: 0001604
2015-03-25 19:19 joergs Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker